/production-api/polygondepartment/getbyidRetrieve a ProductionPolygonDepartment by its ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the desired ProductionPolygonDepartment
Response Body
application/json
curl -X GET "https://example.com/production-api/polygondepartment/getbyid?id=0"{ "id": 0, "startAt": "2019-08-24T14:15:22Z", "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "productionPolygonId": 0, "productionDepartmentId": 0, "productionPackageId": 0}/production-api/polygondepartment/getbydepartmentRetrieve all ProductionPolygonDepartment belonging to a specific ProductionDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the ProductionDepartment
Response Body
application/json
curl -X GET "https://example.com/production-api/polygondepartment/getbydepartment?productionDepartmentId=0"[ { "id": 0, "startAt": "2019-08-24T14:15:22Z", "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "productionPolygonId": 0, "productionDepartmentId": 0, "productionPackageId": 0 }]/production-api/polygondepartment/getbypolygonRetrieve all ProductionPolygonDepartment belonging to a specific ProductionPolygon
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the ProductionPolygon
Response Body
application/json
curl -X GET "https://example.com/production-api/polygondepartment/getbypolygon?productionPolygonId=0"[ { "id": 0, "startAt": "2019-08-24T14:15:22Z", "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "productionPolygonId": 0, "productionDepartmentId": 0, "productionPackageId": 0 }]/production-api/polygondepartment/createCreates a new ProductionPolygonDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The desired ProductionPolygonDepartment
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production-api/polygondepartment/create" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "startAt": "2019-08-24T14:15:22Z", "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "productionPolygonId": 0, "productionDepartmentId": 0, "productionPackageId": 0}/production-api/polygondepartment/updateUpdates an existing ProductionPolygonDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The updated ProductionPolygonDepartment model
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/production-api/polygondepartment/update" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "startAt": "2019-08-24T14:15:22Z", "finishAt": "2019-08-24T14:15:22Z", "deliverAt": "2019-08-24T14:15:22Z", "productionValue": 0, "productionPolygonId": 0, "productionDepartmentId": 0, "productionPackageId": 0}/production-api/polygondepartment/deleteDeletes an existing ProductionPolygonDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ProductionPolygonDepartment ID
Response Body
curl -X DELETE "https://example.com/production-api/polygondepartment/delete?id=0"